Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class OtherKeyAttribute

    java.lang.Object
      |
      +--org.bouncycastle.asn1.cms.OtherKeyAttribute

All Implemented Interfaces:
  DEREncodable

public class OtherKeyAttribute
extends java.lang.Object
implements DEREncodable

Constructor Summary
`OtherKeyAttribute(ASN1Sequence seq)`
`OtherKeyAttribute(DERObjectIdentifier keyAttrId, DEREncodable keyAttr)`

Method Summary
`DERObject` | `getDERObject()` OtherKeyAttribute ::= SEQUENCE { keyAttrId OBJECT IDENTIFIER, keyAttr ANY DEFINED BY keyAttrId OPTIONAL }
`static OtherKeyAttribute` | `getInstance(java.lang.Object o)` return an OtherKeyAttribute object from the given object.
`DEREncodable` | `getKeyAttr()`
`DERObjectIdentifier` | `getKeyAttrId()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OtherKeyAttribute

    public OtherKeyAttribute(ASN1Sequence seq)

### OtherKeyAttribute

    public OtherKeyAttribute(DERObjectIdentifier keyAttrId,
                             DEREncodable keyAttr)

Method Detail

### getInstance

    public static OtherKeyAttribute getInstance(java.lang.Object o)

  return an OtherKeyAttribute object from the given object.

  Parameters:
    `o` - the object we want converted.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getKeyAttrId

    public DERObjectIdentifier getKeyAttrId()

### getKeyAttr

    public DEREncodable getKeyAttr()

### getDERObject

    public DERObject getDERObject()

       OtherKeyAttribute ::= SEQUENCE {
       	keyAttrId OBJECT IDENTIFIER,
       	keyAttr ANY DEFINED BY keyAttrId OPTIONAL
       }

  Specified by:
    `getDERObject` in interface `DEREncodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD